/*
This file is part of ArchiveList.

# SPDX-FileCopyrightText: 2021 Hangar.org
# SPDX-License-Identifier: AGPL-3.0-or-later
*/

import Vue from "vue";
//import VueMq from 'vue-mq'
import ArchiveList from "../components/archiveList.vue";

//import 'es6-promise/auto'
//import store from "../store.js"
//import i18n from "../i18n.js"
export const bus = new Vue();

var ComponentClass = Vue.extend(ArchiveList)
/*
                        .use(VueMq, {
                          breakpoints: { // default breakpoints - customize this
                            sm: 450,
                            md: 1250,
                            lg: Infinity,
                          },
                          defaultBreakpoint: 'sm' // customize this for SSR
                        })
*/
document.querySelectorAll("[data-vue-component=archive-list]")
        .forEach((element) => {
          new ComponentClass({
            components: {'ArchiveList': ArchiveList},
            propsData: { ...element.dataset },
            props: ["collections"],
            /*
            store: store,
            i18n: i18n,
            */
          }).$mount(element);
  });
